Subject: RE: [ippm] TWAMP questions/comments

From: "Hedayat, Kaynam" <[email-masked]>
Date: Mon, 23 Jul 2007 14:42:19 -0400

Walt,

Thanks for the comments. Please see our comments below. We have
addressed most of them as suggested. Regarding your earlier email about
adding the DSCP field in the test packets, the authors will solicit
interest from the IPPM group tomorrow.

Regards,
Kaynam and Al

> -----Original Message-----
> From: Walt Steverson [mailto:[email-masked]] 
> Sent: Wednesday, June 13, 2007 4:15 PM
> To: [email-masked]
> Subject: [ippm] TWAMP questions/comments
> 
> I apologize for all these questions this late in the process 
> but I came late to the TWAMP party.
> 
> With the addition of Sender TTL to the test packets in the 
> latest draft the minimum unauthenticated test packet length 
> is 41 octets not 40 octets.  If the Sender DSCP field is 
> adopted it bumps it up to 42 octets.  The minimum 
> authenticated/encrypted packet length should be
> 104 instead of 80 octets.
Will be fixed in the next draft. The authenticated/encrypted packdet
length is 112 because we had the wrong padding for TTL. Thank you.
> 
> In authenticated mode why aren't both the Sequence Number and 
> Sender Sequence Number fields encrypted?  In encrypted mode 
> why aren't all the sequence numbers and timestamps encrypted 
> instead of just the first Sequence Number and Timestamp fields?
To follow the behaviour of OWAMP the goal was to protect the sequence
number only. If Sender Sequence Number needs to be protected, encrypted
mode should be used.
> 
> Should the authenticated/encrypted test packet be padded to a 
> 16-byte boundary after the Sender TTL?  If not then why is it 
> padded at all?
> It doesn't look like the Sender TTL will ever be encrypted so 
> it should only need a 3 octet MBZ field afterwards.
The text should say that the first 6 blocks should be encrypted
(including TTL). Also TTL should have 15 bytes of padding for 16 bytes
boundry. This will all be fixed in the next version.
> 
> This may be a silly question at this point but does the 
> Session-Sender fill out the Sender Sequence Number, Sender 
> Timestamp, Sender Error Estimate when the test packet is 
> generated? Or should it fill out the Sequence Number, 
> Timestamp, and Error Estimate field and the Session-Reflector 
> is responsible for copying the Sequence Number, Timestamp, 
> and Error Estimate into the Sender Sequence Number, Sender 
> Timestamp, and Sender Error Estimate, respectively?  I ask 
> because the following two paragraphs from section 4.2.1 seem unclear:
It is the latter. Both the Sessoin-Sender and Session-Reflector fill out
the Sequence Number, Timestamp, and Error-Estimate according to the
transmit time of each packet. Note that the Session-Sender transmits
packets according the packet format in OWAMP and its behaviour is
outlined in OWAMP (i.e. it does not have Sender Timestamp and Sender
Sequence Number fields). Section 4.2 outlines the Session-Reflector and
its behaviour. The Session-Reflector copies both the Sequence Number and
Timestamp of the received packet (as set by the Session-Sender) to the
Sender Squenece Number and Sender Timestamp fields. We have clarified
the text for the Sequence Number in section 4.2.1 to be more clear.
> 
> "Sequence Number is the sequence number of the test packet 
> according to its arrival at the Session-Reflector.  It starts 
> with zero and is incremented by one for each subsequent 
> packet.  The Sequence Number generated by the 
> Session-Reflector is independent from the sequence number of 
> the arriving packets."
> 
> "Sender Sequence Number is a copy of the Sequence Number of 
> the packet transmitted by the Session-Sender that caused the 
> Session-Reflector to generate and send this test packet."
> 
> The paragraphs about Timestamp and Sender Timestamp have 
> similar language.
> 
> Thanks for your help,
> Walt
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ippm
> 

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm